# #!/usr/bin/env python
# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
# File   : fwerrorcodes.py
#
# Copyright(c) 2024 Farzad Safa (farzad.safa@xcofdk.de)
# This software is distributed under the MIT License (http://opensource.org/licenses/MIT).
# ------------------------------------------------------------------------------

from enum import IntEnum
from enum import unique

@unique
class _EFwErrorCode(IntEnum):

    __FE_OFFSET = 0x8000

    FE_LCSF_001  = 4001 + __FE_OFFSET
    FE_LCSF_002  = 4002 + __FE_OFFSET
    FE_LCSF_003  = 4003 + __FE_OFFSET
    FE_LCSF_004  = 4004 + __FE_OFFSET
    FE_LCSF_005  = 4005 + __FE_OFFSET
    FE_LCSF_006  = 4006 + __FE_OFFSET
    FE_LCSF_007  = 4007 + __FE_OFFSET
    FE_LCSF_008  = 4008 + __FE_OFFSET
    FE_LCSF_009  = 4009 + __FE_OFFSET
    FE_LCSF_010  = 4010 + __FE_OFFSET
    FE_LCSF_011  = 4011 + __FE_OFFSET
    FE_LCSF_012  = 4012 + __FE_OFFSET
    FE_LCSF_013  = 4013 + __FE_OFFSET
    FE_LCSF_014  = 4014 + __FE_OFFSET
    FE_LCSF_016  = 4016 + __FE_OFFSET
    FE_LCSF_017  = 4017 + __FE_OFFSET
    FE_LCSF_018  = 4018 + __FE_OFFSET
    FE_LCSF_019  = 4019 + __FE_OFFSET
    FE_LCSF_020  = 4020 + __FE_OFFSET
    FE_LCSF_021  = 4021 + __FE_OFFSET
    FE_LCSF_022  = 4022 + __FE_OFFSET
    FE_LCSF_023  = 4023 + __FE_OFFSET
    FE_LCSF_024  = 4024 + __FE_OFFSET
    FE_LCSF_025  = 4025 + __FE_OFFSET
    FE_LCSF_026  = 4026 + __FE_OFFSET
    FE_LCSF_027  = 4027 + __FE_OFFSET
    FE_LCSF_028  = 4028 + __FE_OFFSET
    FE_LCSF_029  = 4029 + __FE_OFFSET
    FE_LCSF_030  = 4030 + __FE_OFFSET
    FE_LCSF_031  = 4031 + __FE_OFFSET
    FE_LCSF_032  = 4032 + __FE_OFFSET
    FE_LCSF_033  = 4033 + __FE_OFFSET
    FE_LCSF_034  = 4034 + __FE_OFFSET
    FE_LCSF_035  = 4035 + __FE_OFFSET
    FE_LCSF_036  = 4036 + __FE_OFFSET
    FE_LCSF_037  = 4037 + __FE_OFFSET
    FE_LCSF_038  = 4038 + __FE_OFFSET
    FE_LCSF_039  = 4039 + __FE_OFFSET
    FE_LCSF_040  = 4040 + __FE_OFFSET
    FE_LCSF_041  = 4041 + __FE_OFFSET
    FE_LCSF_042  = 4042 + __FE_OFFSET
    FE_LCSF_043  = 4043 + __FE_OFFSET
    FE_LCSF_044  = 4044 + __FE_OFFSET
    FE_LCSF_045  = 4045 + __FE_OFFSET
    FE_LCSF_046  = 4046 + __FE_OFFSET
    FE_LCSF_047  = 4047 + __FE_OFFSET
    FE_LCSF_048  = 4048 + __FE_OFFSET
    FE_LCSF_049  = 4049 + __FE_OFFSET
    FE_LCSF_050  = 4050 + __FE_OFFSET
    FE_LCSF_051  = 4051 + __FE_OFFSET
    FE_LCSF_052  = 4052 + __FE_OFFSET
    FE_LCSF_053  = 4053 + __FE_OFFSET
    FE_LCSF_054  = 4054 + __FE_OFFSET
    FE_LCSF_056  = 4056 + __FE_OFFSET
    FE_LCSF_057  = 4057 + __FE_OFFSET
    FE_LCSF_058  = 4058 + __FE_OFFSET
    FE_LCSF_059  = 4059 + __FE_OFFSET
    FE_LCSF_060  = 4060 + __FE_OFFSET
    FE_LCSF_061  = 4061 + __FE_OFFSET
    FE_LCSF_062  = 4062 + __FE_OFFSET
    FE_LCSF_063  = 4063 + __FE_OFFSET
    FE_LCSF_064  = 4064 + __FE_OFFSET
    FE_LCSF_065  = 4065 + __FE_OFFSET
    FE_LCSF_066  = 4066 + __FE_OFFSET
    FE_LCSF_067  = 4067 + __FE_OFFSET
    FE_LCSF_068  = 4068 + __FE_OFFSET
    FE_LCSF_069  = 4069 + __FE_OFFSET
    FE_LCSF_070  = 4070 + __FE_OFFSET
    FE_LCSF_071  = 4071 + __FE_OFFSET
    FE_LCSF_072  = 4072 + __FE_OFFSET
    FE_LCSF_073  = 4073 + __FE_OFFSET
    FE_LCSF_074  = 4074 + __FE_OFFSET
    FE_LCSF_075  = 4075 + __FE_OFFSET
    FE_LCSF_076  = 4076 + __FE_OFFSET
    FE_LCSF_078  = 4078 + __FE_OFFSET
    FE_LCSF_079  = 4079 + __FE_OFFSET
    FE_LCSF_080  = 4080 + __FE_OFFSET
    FE_LCSF_081  = 4081 + __FE_OFFSET
    FE_LCSF_082  = 4082 + __FE_OFFSET
    FE_LCSF_083  = 4083 + __FE_OFFSET
    FE_LCSF_084  = 4084 + __FE_OFFSET
    FE_LCSF_085  = 4085 + __FE_OFFSET
    FE_LCSF_086  = 4086 + __FE_OFFSET
    FE_LCSF_087  = 4087 + __FE_OFFSET
    FE_LCSF_088  = 4088 + __FE_OFFSET
    FE_LCSF_089  = 4089 + __FE_OFFSET
    FE_LCSF_090  = 4090 + __FE_OFFSET
    FE_LCSF_091  = 4091 + __FE_OFFSET
    FE_LCSF_092  = 4092 + __FE_OFFSET
    FE_LCSF_093  = 4093 + __FE_OFFSET
    FE_LCSF_094  = 4094 + __FE_OFFSET
    FE_LCSF_095  = 4095 + __FE_OFFSET
    FE_LCSF_096  = 4096 + __FE_OFFSET
    FE_LCSF_097  = 4097 + __FE_OFFSET
    FE_LCSF_098  = 4098 + __FE_OFFSET
    FE_LCSF_099  = 4099 + __FE_OFFSET
    FE_LCSF_102  = 4102 + __FE_OFFSET
    FE_LCSF_103  = 4103 + __FE_OFFSET
    FE_LCSF_104  = 4104 + __FE_OFFSET
    FE_LCSF_999  = 4999 + __FE_OFFSET

    VFE_00001  = 6001 + __FE_OFFSET
    VFE_00002  = 6002 + __FE_OFFSET
    VFE_00003  = 6003 + __FE_OFFSET
    VFE_00004  = 6004 + __FE_OFFSET
    VFE_00005  = 6005 + __FE_OFFSET
    VFE_00006  = 6006 + __FE_OFFSET
    VFE_00007  = 6007 + __FE_OFFSET
    VFE_00008  = 6008 + __FE_OFFSET
    VFE_00009  = 6009 + __FE_OFFSET
    VFE_00010  = 6010 + __FE_OFFSET
    VFE_00011  = 6011 + __FE_OFFSET
    VFE_00012  = 6012 + __FE_OFFSET
    VFE_00013  = 6013 + __FE_OFFSET
    VFE_00014  = 6014 + __FE_OFFSET
    VFE_00015  = 6015 + __FE_OFFSET
    VFE_00016  = 6016 + __FE_OFFSET
    VFE_00017  = 6017 + __FE_OFFSET
    VFE_00018  = 6018 + __FE_OFFSET
    VFE_00019  = 6019 + __FE_OFFSET
    VFE_00020  = 6020 + __FE_OFFSET
    VFE_00021  = 6021 + __FE_OFFSET
    VFE_00022  = 6022 + __FE_OFFSET
    VFE_00023  = 6023 + __FE_OFFSET
    VFE_00024  = 6024 + __FE_OFFSET
    VFE_00025  = 6025 + __FE_OFFSET
    VFE_00026  = 6026 + __FE_OFFSET
    VFE_00027  = 6027 + __FE_OFFSET
    VFE_00028  = 6028 + __FE_OFFSET
    VFE_00029  = 6029 + __FE_OFFSET
    VFE_00030  = 6030 + __FE_OFFSET
    VFE_00031  = 6031 + __FE_OFFSET
    VFE_00032  = 6032 + __FE_OFFSET
    VFE_00033  = 6033 + __FE_OFFSET
    VFE_00034  = 6034 + __FE_OFFSET
    VFE_00035  = 6035 + __FE_OFFSET
    VFE_00036  = 6036 + __FE_OFFSET
    VFE_00040  = 6040 + __FE_OFFSET
    VFE_00041  = 6041 + __FE_OFFSET
    VFE_00042  = 6042 + __FE_OFFSET
    VFE_00043  = 6043 + __FE_OFFSET
    VFE_00044  = 6044 + __FE_OFFSET
    VFE_00045  = 6045 + __FE_OFFSET
    VFE_00046  = 6046 + __FE_OFFSET
    VFE_00047  = 6047 + __FE_OFFSET
    VFE_00048  = 6048 + __FE_OFFSET
    VFE_00049  = 6049 + __FE_OFFSET
    VFE_00050  = 6050 + __FE_OFFSET
    VFE_00051  = 6051 + __FE_OFFSET
    VFE_00052  = 6052 + __FE_OFFSET
    VFE_00053  = 6053 + __FE_OFFSET
    VFE_00054  = 6054 + __FE_OFFSET
    VFE_00055  = 6055 + __FE_OFFSET
    VFE_00056  = 6056 + __FE_OFFSET
    VFE_00057  = 6057 + __FE_OFFSET
    VFE_00058  = 6058 + __FE_OFFSET
    VFE_00059  = 6059 + __FE_OFFSET
    VFE_00060  = 6060 + __FE_OFFSET
    VFE_00061  = 6061 + __FE_OFFSET
    VFE_00062  = 6062 + __FE_OFFSET
    VFE_00063  = 6063 + __FE_OFFSET
    VFE_00064  = 6064 + __FE_OFFSET
    VFE_00065  = 6065 + __FE_OFFSET
    VFE_00066  = 6066 + __FE_OFFSET
    VFE_00067  = 6067 + __FE_OFFSET
    VFE_00068  = 6068 + __FE_OFFSET
    VFE_00069  = 6069 + __FE_OFFSET
    VFE_00070  = 6070 + __FE_OFFSET
    VFE_00071  = 6071 + __FE_OFFSET
    VFE_00072  = 6072 + __FE_OFFSET
    VFE_00073  = 6073 + __FE_OFFSET
    VFE_00074  = 6074 + __FE_OFFSET
    VFE_00075  = 6075 + __FE_OFFSET
    VFE_00076  = 6076 + __FE_OFFSET
    VFE_00077  = 6077 + __FE_OFFSET
    VFE_00078  = 6078 + __FE_OFFSET
    VFE_00079  = 6079 + __FE_OFFSET
    VFE_00080  = 6080 + __FE_OFFSET
    VFE_00081  = 6081 + __FE_OFFSET
    VFE_00082  = 6082 + __FE_OFFSET
    VFE_00083  = 6083 + __FE_OFFSET
    VFE_00084  = 6084 + __FE_OFFSET
    VFE_00085  = 6085 + __FE_OFFSET
    VFE_00086  = 6086 + __FE_OFFSET
    VFE_00087  = 6087 + __FE_OFFSET
    VFE_00088  = 6088 + __FE_OFFSET
    VFE_00089  = 6089 + __FE_OFFSET
    VFE_00090  = 6090 + __FE_OFFSET
    VFE_00091  = 6091 + __FE_OFFSET
    VFE_00093  = 6093 + __FE_OFFSET
    VFE_00094  = 6094 + __FE_OFFSET
    VFE_00095  = 6095 + __FE_OFFSET
    VFE_00096  = 6096 + __FE_OFFSET
    VFE_00097  = 6097 + __FE_OFFSET
    VFE_00098  = 6098 + __FE_OFFSET
    VFE_00099  = 6099 + __FE_OFFSET
    VFE_00100  = 6100 + __FE_OFFSET
    VFE_00101  = 6101 + __FE_OFFSET
    VFE_00102  = 6102 + __FE_OFFSET
    VFE_00103  = 6103 + __FE_OFFSET
    VFE_00104  = 6104 + __FE_OFFSET
    VFE_00105  = 6105 + __FE_OFFSET
    VFE_00106  = 6106 + __FE_OFFSET
    VFE_00107  = 6107 + __FE_OFFSET
    VFE_00108  = 6108 + __FE_OFFSET
    VFE_00109  = 6109 + __FE_OFFSET
    VFE_00110  = 6110 + __FE_OFFSET
    VFE_00111  = 6111 + __FE_OFFSET
    VFE_00112  = 6112 + __FE_OFFSET
    VFE_00113  = 6113 + __FE_OFFSET
    VFE_00114  = 6114 + __FE_OFFSET
    VFE_00115  = 6115 + __FE_OFFSET
    VFE_00116  = 6116 + __FE_OFFSET
    VFE_00117  = 6117 + __FE_OFFSET
    VFE_00118  = 6118 + __FE_OFFSET
    VFE_00119  = 6119 + __FE_OFFSET
    VFE_00120  = 6120 + __FE_OFFSET
    VFE_00121  = 6121 + __FE_OFFSET
    VFE_00122  = 6122 + __FE_OFFSET
    VFE_00123  = 6123 + __FE_OFFSET
    VFE_00124  = 6124 + __FE_OFFSET
    VFE_00125  = 6125 + __FE_OFFSET
    VFE_00126  = 6126 + __FE_OFFSET
    VFE_00127  = 6127 + __FE_OFFSET
    VFE_00128  = 6128 + __FE_OFFSET
    VFE_00129  = 6129 + __FE_OFFSET
    VFE_00130  = 6130 + __FE_OFFSET
    VFE_00131  = 6131 + __FE_OFFSET
    VFE_00132  = 6132 + __FE_OFFSET
    VFE_00133  = 6133 + __FE_OFFSET
    VFE_00134  = 6134 + __FE_OFFSET
    VFE_00135  = 6135 + __FE_OFFSET
    VFE_00136  = 6136 + __FE_OFFSET
    VFE_00137  = 6137 + __FE_OFFSET
    VFE_00138  = 6138 + __FE_OFFSET
    VFE_00139  = 6139 + __FE_OFFSET
    VFE_00140  = 6140 + __FE_OFFSET
    VFE_00141  = 6141 + __FE_OFFSET
    VFE_00142  = 6142 + __FE_OFFSET
    VFE_00143  = 6143 + __FE_OFFSET
    VFE_00144  = 6144 + __FE_OFFSET
    VFE_00145  = 6145 + __FE_OFFSET
    VFE_00146  = 6146 + __FE_OFFSET
    VFE_00147  = 6147 + __FE_OFFSET
    VFE_00148  = 6148 + __FE_OFFSET
    VFE_00149  = 6149 + __FE_OFFSET
    VFE_00150  = 6150 + __FE_OFFSET
    VFE_00151  = 6151 + __FE_OFFSET
    VFE_00152  = 6152 + __FE_OFFSET
    VFE_00153  = 6153 + __FE_OFFSET
    VFE_00154  = 6154 + __FE_OFFSET
    VFE_00155  = 6155 + __FE_OFFSET
    VFE_00156  = 6156 + __FE_OFFSET
    VFE_00157  = 6157 + __FE_OFFSET
    VFE_00158  = 6158 + __FE_OFFSET
    VFE_00159  = 6159 + __FE_OFFSET
    VFE_00160  = 6160 + __FE_OFFSET
    VFE_00161  = 6161 + __FE_OFFSET
    VFE_00162  = 6162 + __FE_OFFSET
    VFE_00163  = 6163 + __FE_OFFSET
    VFE_00164  = 6164 + __FE_OFFSET
    VFE_00165  = 6165 + __FE_OFFSET
    VFE_00166  = 6166 + __FE_OFFSET
    VFE_00167  = 6167 + __FE_OFFSET
    VFE_00168  = 6168 + __FE_OFFSET
    VFE_00169  = 6169 + __FE_OFFSET
    VFE_00170  = 6170 + __FE_OFFSET
    VFE_00171  = 6171 + __FE_OFFSET
    VFE_00172  = 6172 + __FE_OFFSET
    VFE_00173  = 6173 + __FE_OFFSET
    VFE_00174  = 6174 + __FE_OFFSET
    VFE_00175  = 6175 + __FE_OFFSET
    VFE_00176  = 6176 + __FE_OFFSET
    VFE_00177  = 6177 + __FE_OFFSET
    VFE_00178  = 6178 + __FE_OFFSET
    VFE_00184  = 6184 + __FE_OFFSET
    VFE_00185  = 6185 + __FE_OFFSET
    VFE_00186  = 6186 + __FE_OFFSET
    VFE_00187  = 6187 + __FE_OFFSET
    VFE_00188  = 6188 + __FE_OFFSET
    VFE_00189  = 6189 + __FE_OFFSET
    VFE_00190  = 6190 + __FE_OFFSET
    VFE_00191  = 6191 + __FE_OFFSET
    VFE_00192  = 6192 + __FE_OFFSET
    VFE_00193  = 6193 + __FE_OFFSET
    VFE_00194  = 6194 + __FE_OFFSET
    VFE_00195  = 6195 + __FE_OFFSET
    VFE_00196  = 6196 + __FE_OFFSET
    VFE_00197  = 6197 + __FE_OFFSET
    VFE_00198  = 6198 + __FE_OFFSET
    VFE_00199  = 6199 + __FE_OFFSET
    VFE_00200  = 6200 + __FE_OFFSET
    VFE_00201  = 6201 + __FE_OFFSET
    VFE_00202  = 6202 + __FE_OFFSET
    VFE_00203  = 6203 + __FE_OFFSET
    VFE_00204  = 6204 + __FE_OFFSET
    VFE_00205  = 6205 + __FE_OFFSET
    VFE_00206  = 6206 + __FE_OFFSET
    VFE_00207  = 6207 + __FE_OFFSET
    VFE_00208  = 6208 + __FE_OFFSET
    VFE_00209  = 6209 + __FE_OFFSET
    VFE_00210  = 6210 + __FE_OFFSET
    VFE_00211  = 6211 + __FE_OFFSET
    VFE_00212  = 6212 + __FE_OFFSET
    VFE_00213  = 6213 + __FE_OFFSET
    VFE_00214  = 6214 + __FE_OFFSET
    VFE_00215  = 6215 + __FE_OFFSET
    VFE_00216  = 6216 + __FE_OFFSET
    VFE_00217  = 6217 + __FE_OFFSET
    VFE_00218  = 6218 + __FE_OFFSET
    VFE_00219  = 6219 + __FE_OFFSET
    VFE_00220  = 6220 + __FE_OFFSET
    VFE_00221  = 6221 + __FE_OFFSET
    VFE_00222  = 6222 + __FE_OFFSET
    VFE_00223  = 6223 + __FE_OFFSET
    VFE_00224  = 6224 + __FE_OFFSET
    VFE_00225  = 6225 + __FE_OFFSET
    VFE_00226  = 6226 + __FE_OFFSET
    VFE_00227  = 6227 + __FE_OFFSET
    VFE_00228  = 6228 + __FE_OFFSET
    VFE_00229  = 6229 + __FE_OFFSET
    VFE_00230  = 6230 + __FE_OFFSET
    VFE_00231  = 6231 + __FE_OFFSET
    VFE_00232  = 6232 + __FE_OFFSET
    VFE_00233  = 6233 + __FE_OFFSET
    VFE_00234  = 6234 + __FE_OFFSET
    VFE_00235  = 6235 + __FE_OFFSET
    VFE_00236  = 6236 + __FE_OFFSET
    VFE_00237  = 6237 + __FE_OFFSET
    VFE_00238  = 6238 + __FE_OFFSET
    VFE_00239  = 6239 + __FE_OFFSET
    VFE_00240  = 6240 + __FE_OFFSET
    VFE_00241  = 6241 + __FE_OFFSET
    VFE_00242  = 6242 + __FE_OFFSET
    VFE_00243  = 6243 + __FE_OFFSET
    VFE_00244  = 6244 + __FE_OFFSET
    VFE_00245  = 6245 + __FE_OFFSET
    VFE_00246  = 6246 + __FE_OFFSET
    VFE_00247  = 6247 + __FE_OFFSET
    VFE_00248  = 6248 + __FE_OFFSET
    VFE_00249  = 6249 + __FE_OFFSET
    VFE_00250  = 6250 + __FE_OFFSET
    VFE_00251  = 6251 + __FE_OFFSET
    VFE_00252  = 6252 + __FE_OFFSET
    VFE_00253  = 6253 + __FE_OFFSET
    VFE_00254  = 6254 + __FE_OFFSET
    VFE_00255  = 6255 + __FE_OFFSET
    VFE_00256  = 6256 + __FE_OFFSET
    VFE_00257  = 6257 + __FE_OFFSET
    VFE_00258  = 6258 + __FE_OFFSET
    VFE_00259  = 6259 + __FE_OFFSET
    VFE_00260  = 6260 + __FE_OFFSET
    VFE_00261  = 6261 + __FE_OFFSET
    VFE_00262  = 6262 + __FE_OFFSET
    VFE_00263  = 6263 + __FE_OFFSET
    VFE_00264  = 6264 + __FE_OFFSET
    VFE_00265  = 6265 + __FE_OFFSET
    VFE_00266  = 6266 + __FE_OFFSET
    VFE_00267  = 6267 + __FE_OFFSET
    VFE_00268  = 6268 + __FE_OFFSET
    VFE_00271  = 6271 + __FE_OFFSET
    VFE_00272  = 6272 + __FE_OFFSET
    VFE_00273  = 6273 + __FE_OFFSET
    VFE_00274  = 6274 + __FE_OFFSET
    VFE_00275  = 6275 + __FE_OFFSET
    VFE_00276  = 6276 + __FE_OFFSET
    VFE_00277  = 6277 + __FE_OFFSET
    VFE_00278  = 6278 + __FE_OFFSET
    VFE_00279  = 6279 + __FE_OFFSET
    VFE_00280  = 6280 + __FE_OFFSET
    VFE_00281  = 6281 + __FE_OFFSET
    VFE_00282  = 6282 + __FE_OFFSET
    VFE_00283  = 6283 + __FE_OFFSET
    VFE_00284  = 6284 + __FE_OFFSET
    VFE_00285  = 6285 + __FE_OFFSET
    VFE_00286  = 6286 + __FE_OFFSET
    VFE_00287  = 6287 + __FE_OFFSET
    VFE_00288  = 6288 + __FE_OFFSET
    VFE_00289  = 6289 + __FE_OFFSET
    VFE_00290  = 6290 + __FE_OFFSET
    VFE_00291  = 6291 + __FE_OFFSET
    VFE_00292  = 6292 + __FE_OFFSET
    VFE_00293  = 6293 + __FE_OFFSET
    VFE_00294  = 6294 + __FE_OFFSET
    VFE_00295  = 6295 + __FE_OFFSET
    VFE_00296  = 6296 + __FE_OFFSET
    VFE_00297  = 6297 + __FE_OFFSET
    VFE_00298  = 6298 + __FE_OFFSET
    VFE_00299  = 6299 + __FE_OFFSET
    VFE_00300  = 6300 + __FE_OFFSET
    VFE_00301  = 6301 + __FE_OFFSET
    VFE_00302  = 6302 + __FE_OFFSET
    VFE_00303  = 6303 + __FE_OFFSET
    VFE_00304  = 6304 + __FE_OFFSET
    VFE_00305  = 6305 + __FE_OFFSET
    VFE_00306  = 6306 + __FE_OFFSET
    VFE_00307  = 6307 + __FE_OFFSET
    VFE_00308  = 6308 + __FE_OFFSET
    VFE_00309  = 6309 + __FE_OFFSET
    VFE_00310  = 6310 + __FE_OFFSET
    VFE_00311  = 6311 + __FE_OFFSET
    VFE_00312  = 6312 + __FE_OFFSET
    VFE_00313  = 6313 + __FE_OFFSET
    VFE_00314  = 6314 + __FE_OFFSET
    VFE_00315  = 6315 + __FE_OFFSET
    VFE_00316  = 6316 + __FE_OFFSET
    VFE_00317  = 6317 + __FE_OFFSET
    VFE_00318  = 6318 + __FE_OFFSET
    VFE_00319  = 6319 + __FE_OFFSET
    VFE_00320  = 6320 + __FE_OFFSET
    VFE_00321  = 6321 + __FE_OFFSET
    VFE_00322  = 6322 + __FE_OFFSET
    VFE_00323  = 6323 + __FE_OFFSET
    VFE_00324  = 6324 + __FE_OFFSET
    VFE_00325  = 6325 + __FE_OFFSET
    VFE_00326  = 6326 + __FE_OFFSET
    VFE_00327  = 6327 + __FE_OFFSET
    VFE_00328  = 6328 + __FE_OFFSET
    VFE_00329  = 6329 + __FE_OFFSET
    VFE_00330  = 6330 + __FE_OFFSET
    VFE_00331  = 6331 + __FE_OFFSET
    VFE_00332  = 6332 + __FE_OFFSET
    VFE_00333  = 6333 + __FE_OFFSET
    VFE_00334  = 6334 + __FE_OFFSET
    VFE_00335  = 6335 + __FE_OFFSET
    VFE_00336  = 6336 + __FE_OFFSET
    VFE_00337  = 6337 + __FE_OFFSET
    VFE_00338  = 6338 + __FE_OFFSET
    VFE_00339  = 6339 + __FE_OFFSET
    VFE_00340  = 6340 + __FE_OFFSET
    VFE_00341  = 6341 + __FE_OFFSET
    VFE_00342  = 6342 + __FE_OFFSET
    VFE_00343  = 6343 + __FE_OFFSET
    VFE_00344  = 6344 + __FE_OFFSET
    VFE_00345  = 6345 + __FE_OFFSET
    VFE_00346  = 6346 + __FE_OFFSET
    VFE_00347  = 6347 + __FE_OFFSET
    VFE_00348  = 6348 + __FE_OFFSET
    VFE_00349  = 6349 + __FE_OFFSET
    VFE_00350  = 6350 + __FE_OFFSET
    VFE_00351  = 6351 + __FE_OFFSET
    VFE_00352  = 6352 + __FE_OFFSET
    VFE_00353  = 6353 + __FE_OFFSET
    VFE_00354  = 6354 + __FE_OFFSET
    VFE_00355  = 6355 + __FE_OFFSET
    VFE_00356  = 6356 + __FE_OFFSET
    VFE_00357  = 6357 + __FE_OFFSET
    VFE_00358  = 6358 + __FE_OFFSET
    VFE_00359  = 6359 + __FE_OFFSET
    VFE_00360  = 6360 + __FE_OFFSET
    VFE_00361  = 6361 + __FE_OFFSET
    VFE_00362  = 6362 + __FE_OFFSET
    VFE_00363  = 6363 + __FE_OFFSET
    VFE_00364  = 6364 + __FE_OFFSET
    VFE_00365  = 6365 + __FE_OFFSET
    VFE_00366  = 6366 + __FE_OFFSET
    VFE_00367  = 6367 + __FE_OFFSET
    VFE_00368  = 6368 + __FE_OFFSET
    VFE_00369  = 6369 + __FE_OFFSET
    VFE_00370  = 6370 + __FE_OFFSET
    VFE_00371  = 6371 + __FE_OFFSET
    VFE_00372  = 6372 + __FE_OFFSET
    VFE_00373  = 6373 + __FE_OFFSET
    VFE_00374  = 6374 + __FE_OFFSET
    VFE_00375  = 6375 + __FE_OFFSET
    VFE_00376  = 6376 + __FE_OFFSET
    VFE_00377  = 6377 + __FE_OFFSET
    VFE_00378  = 6378 + __FE_OFFSET
    VFE_00379  = 6379 + __FE_OFFSET
    VFE_00380  = 6380 + __FE_OFFSET
    VFE_00381  = 6381 + __FE_OFFSET
    VFE_00382  = 6382 + __FE_OFFSET
    VFE_00383  = 6383 + __FE_OFFSET
    VFE_00385  = 6385 + __FE_OFFSET
    VFE_00386  = 6386 + __FE_OFFSET
    VFE_00387  = 6387 + __FE_OFFSET
    VFE_00388  = 6388 + __FE_OFFSET
    VFE_00389  = 6389 + __FE_OFFSET
    VFE_00390  = 6390 + __FE_OFFSET
    VFE_00391  = 6391 + __FE_OFFSET
    VFE_00392  = 6392 + __FE_OFFSET
    VFE_00393  = 6393 + __FE_OFFSET
    VFE_00394  = 6394 + __FE_OFFSET
    VFE_00396  = 6396 + __FE_OFFSET
    VFE_00397  = 6397 + __FE_OFFSET
    VFE_00398  = 6398 + __FE_OFFSET
    VFE_00399  = 6399 + __FE_OFFSET
    VFE_00400  = 6400 + __FE_OFFSET
    VFE_00401  = 6401 + __FE_OFFSET
    VFE_00402  = 6402 + __FE_OFFSET
    VFE_00403  = 6403 + __FE_OFFSET
    VFE_00404  = 6404 + __FE_OFFSET
    VFE_00405  = 6405 + __FE_OFFSET
    VFE_00406  = 6406 + __FE_OFFSET
    VFE_00407  = 6407 + __FE_OFFSET
    VFE_00408  = 6408 + __FE_OFFSET
    VFE_00409  = 6409 + __FE_OFFSET
    VFE_00410  = 6410 + __FE_OFFSET
    VFE_00411  = 6411 + __FE_OFFSET
    VFE_00412  = 6412 + __FE_OFFSET
    VFE_00413  = 6413 + __FE_OFFSET
    VFE_00414  = 6414 + __FE_OFFSET
    VFE_00415  = 6415 + __FE_OFFSET
    VFE_00416  = 6416 + __FE_OFFSET
    VFE_00417  = 6417 + __FE_OFFSET
    VFE_00418  = 6418 + __FE_OFFSET
    VFE_00419  = 6419 + __FE_OFFSET
    VFE_00420  = 6420 + __FE_OFFSET
    VFE_00421  = 6421 + __FE_OFFSET
    VFE_00422  = 6422 + __FE_OFFSET
    VFE_00423  = 6423 + __FE_OFFSET
    VFE_00424  = 6424 + __FE_OFFSET
    VFE_00425  = 6425 + __FE_OFFSET
    VFE_00426  = 6426 + __FE_OFFSET
    VFE_00427  = 6427 + __FE_OFFSET
    VFE_00428  = 6428 + __FE_OFFSET
    VFE_00429  = 6429 + __FE_OFFSET
    VFE_00430  = 6430 + __FE_OFFSET
    VFE_00431  = 6431 + __FE_OFFSET
    VFE_00432  = 6432 + __FE_OFFSET
    VFE_00433  = 6433 + __FE_OFFSET
    VFE_00434  = 6434 + __FE_OFFSET
    VFE_00435  = 6435 + __FE_OFFSET
    VFE_00436  = 6436 + __FE_OFFSET
    VFE_00437  = 6437 + __FE_OFFSET
    VFE_00438  = 6438 + __FE_OFFSET
    VFE_00439  = 6439 + __FE_OFFSET
    VFE_00440  = 6440 + __FE_OFFSET
    VFE_00441  = 6441 + __FE_OFFSET
    VFE_00442  = 6442 + __FE_OFFSET
    VFE_00443  = 6443 + __FE_OFFSET
    VFE_00444  = 6444 + __FE_OFFSET
    VFE_00445  = 6445 + __FE_OFFSET
    VFE_00446  = 6446 + __FE_OFFSET
    VFE_00447  = 6447 + __FE_OFFSET
    VFE_00448  = 6448 + __FE_OFFSET
    VFE_00449  = 6449 + __FE_OFFSET
    VFE_00450  = 6450 + __FE_OFFSET
    VFE_00451  = 6451 + __FE_OFFSET
    VFE_00452  = 6452 + __FE_OFFSET
    VFE_00453  = 6453 + __FE_OFFSET
    VFE_00454  = 6454 + __FE_OFFSET
    VFE_00455  = 6455 + __FE_OFFSET
    VFE_00456  = 6456 + __FE_OFFSET
    VFE_00457  = 6457 + __FE_OFFSET
    VFE_00458  = 6458 + __FE_OFFSET
    VFE_00459  = 6459 + __FE_OFFSET
    VFE_00460  = 6460 + __FE_OFFSET
    VFE_00461  = 6461 + __FE_OFFSET
    VFE_00462  = 6462 + __FE_OFFSET
    VFE_00463  = 6463 + __FE_OFFSET
    VFE_00464  = 6464 + __FE_OFFSET
    VFE_00465  = 6465 + __FE_OFFSET
    VFE_00466  = 6466 + __FE_OFFSET
    VFE_00467  = 6467 + __FE_OFFSET
    VFE_00468  = 6468 + __FE_OFFSET
    VFE_00469  = 6469 + __FE_OFFSET
    VFE_00470  = 6470 + __FE_OFFSET
    VFE_00471  = 6471 + __FE_OFFSET
    VFE_00472  = 6472 + __FE_OFFSET
    VFE_00473  = 6473 + __FE_OFFSET
    VFE_00474  = 6474 + __FE_OFFSET
    VFE_00475  = 6475 + __FE_OFFSET
    VFE_00476  = 6476 + __FE_OFFSET
    VFE_00477  = 6477 + __FE_OFFSET
    VFE_00478  = 6478 + __FE_OFFSET
    VFE_00479  = 6479 + __FE_OFFSET
    VFE_00480  = 6480 + __FE_OFFSET
    VFE_00481  = 6481 + __FE_OFFSET
    VFE_00482  = 6482 + __FE_OFFSET
    VFE_00483  = 6483 + __FE_OFFSET
    VFE_00484  = 6484 + __FE_OFFSET
    VFE_00485  = 6485 + __FE_OFFSET
    VFE_00486  = 6486 + __FE_OFFSET
    VFE_00487  = 6487 + __FE_OFFSET
    VFE_00488  = 6488 + __FE_OFFSET
    VFE_00489  = 6489 + __FE_OFFSET
    VFE_00490  = 6490 + __FE_OFFSET
    VFE_00491  = 6491 + __FE_OFFSET
    VFE_00492  = 6492 + __FE_OFFSET
    VFE_00493  = 6493 + __FE_OFFSET
    VFE_00494  = 6494 + __FE_OFFSET
    VFE_00495  = 6495 + __FE_OFFSET
    VFE_00496  = 6496 + __FE_OFFSET
    VFE_00497  = 6497 + __FE_OFFSET
    VFE_00498  = 6498 + __FE_OFFSET
    VFE_00499  = 6499 + __FE_OFFSET
    VFE_00500  = 6500 + __FE_OFFSET
    VFE_00501  = 6501 + __FE_OFFSET
    VFE_00502  = 6502 + __FE_OFFSET
    VFE_00503  = 6503 + __FE_OFFSET
    VFE_00504  = 6504 + __FE_OFFSET
    VFE_00505  = 6505 + __FE_OFFSET
    VFE_00506  = 6506 + __FE_OFFSET
    VFE_00507  = 6507 + __FE_OFFSET
    VFE_00508  = 6508 + __FE_OFFSET
    VFE_00509  = 6509 + __FE_OFFSET
    VFE_00510  = 6510 + __FE_OFFSET
    VFE_00511  = 6511 + __FE_OFFSET
    VFE_00512  = 6512 + __FE_OFFSET
    VFE_00513  = 6513 + __FE_OFFSET
    VFE_00514  = 6514 + __FE_OFFSET
    VFE_00515  = 6515 + __FE_OFFSET
    VFE_00516  = 6516 + __FE_OFFSET
    VFE_00517  = 6517 + __FE_OFFSET
    VFE_00518  = 6518 + __FE_OFFSET
    VFE_00519  = 6519 + __FE_OFFSET
    VFE_00520  = 6520 + __FE_OFFSET
    VFE_00521  = 6521 + __FE_OFFSET
    VFE_00522  = 6522 + __FE_OFFSET
    VFE_00523  = 6523 + __FE_OFFSET
    VFE_00524  = 6524 + __FE_OFFSET
    VFE_00525  = 6525 + __FE_OFFSET
    VFE_00526  = 6526 + __FE_OFFSET
    VFE_00527  = 6527 + __FE_OFFSET
    VFE_00528  = 6528 + __FE_OFFSET
    VFE_00529  = 6529 + __FE_OFFSET
    VFE_00530  = 6530 + __FE_OFFSET
    VFE_00532  = 6532 + __FE_OFFSET
    VFE_00533  = 6533 + __FE_OFFSET
    VFE_00534  = 6534 + __FE_OFFSET
    VFE_00535  = 6535 + __FE_OFFSET
    VFE_00536  = 6536 + __FE_OFFSET
    VFE_00540  = 6540 + __FE_OFFSET
    VFE_00541  = 6541 + __FE_OFFSET
    VFE_00542  = 6542 + __FE_OFFSET
    VFE_00543  = 6543 + __FE_OFFSET
    VFE_00544  = 6544 + __FE_OFFSET
    VFE_00545  = 6545 + __FE_OFFSET
    VFE_00546  = 6546 + __FE_OFFSET
    VFE_00547  = 6547 + __FE_OFFSET
    VFE_00548  = 6548 + __FE_OFFSET
    VFE_00549  = 6549 + __FE_OFFSET
    VFE_00550  = 6550 + __FE_OFFSET
    VFE_00551  = 6551 + __FE_OFFSET
    VFE_00552  = 6552 + __FE_OFFSET
    VFE_00553  = 6553 + __FE_OFFSET
    VFE_00554  = 6554 + __FE_OFFSET
    VFE_00555  = 6555 + __FE_OFFSET
    VFE_00556  = 6556 + __FE_OFFSET
    VFE_00557  = 6557 + __FE_OFFSET
    VFE_00558  = 6558 + __FE_OFFSET
    VFE_00559  = 6559 + __FE_OFFSET

    VUE_00002  = 8002
    VUE_00003  = 8003
    VUE_00004  = 8004
    VUE_00005  = 8005
    VUE_00007  = 8007
    VUE_00008  = 8008
    VUE_00009  = 8009
    VUE_00012  = 8012
    VUE_00013  = 8013
    VUE_00014  = 8014
    VUE_00015  = 8015
    VUE_00016  = 8016
    VUE_00017  = 8017
    VUE_00018  = 8018
    VUE_00019  = 8019
    VUE_00020  = 8020
    VUE_00021  = 8021
    VUE_00022  = 8022
    VUE_00023  = 8023
    VUE_00024  = 8024
    VUE_00026  = 8026
    VUE_00027  = 8027
    VUE_00028  = 8028
    VUE_00029  = 8029
    VUE_00030  = 8030
    VUE_00031  = 8031
    VUE_00032  = 8032
    VUE_00034  = 8034
    VUE_00035  = 8035
    VUE_00036  = 8036
    VUE_00037  = 8037
    VUE_00038  = 8038
    VUE_00039  = 8039
    VUE_00040  = 8040

    FE_00001  = 10001 + __FE_OFFSET
    FE_00002  = 10002 + __FE_OFFSET
    FE_00003  = 10003 + __FE_OFFSET
    FE_00004  = 10004 + __FE_OFFSET
    FE_00005  = 10005 + __FE_OFFSET
    FE_00006  = 10006 + __FE_OFFSET
    FE_00007  = 10007 + __FE_OFFSET
    FE_00008  = 10008 + __FE_OFFSET
    FE_00009  = 10009 + __FE_OFFSET
    FE_00010  = 10010 + __FE_OFFSET
    FE_00011  = 10011 + __FE_OFFSET
    FE_00012  = 10012 + __FE_OFFSET
    FE_00013  = 10013 + __FE_OFFSET
    FE_00014  = 10014 + __FE_OFFSET
    FE_00015  = 10015 + __FE_OFFSET
    FE_00016  = 10016 + __FE_OFFSET
    FE_00018  = 10018 + __FE_OFFSET
    FE_00019  = 10019 + __FE_OFFSET
    FE_00020  = 10020 + __FE_OFFSET
    FE_00021  = 10021 + __FE_OFFSET
    FE_00022  = 10022 + __FE_OFFSET
    FE_00023  = 10023 + __FE_OFFSET
    FE_00024  = 10024 + __FE_OFFSET
    FE_00025  = 10025 + __FE_OFFSET
    FE_00026  = 10026 + __FE_OFFSET
    FE_00027  = 10027 + __FE_OFFSET
    FE_00028  = 10028 + __FE_OFFSET
    FE_00029  = 10029 + __FE_OFFSET
    FE_00030  = 10030 + __FE_OFFSET
    FE_00031  = 10031 + __FE_OFFSET
    FE_00032  = 10032 + __FE_OFFSET
    FE_00033  = 10033 + __FE_OFFSET
    FE_00034  = 10034 + __FE_OFFSET
    FE_00037  = 10037 + __FE_OFFSET
    FE_00040  = 10040 + __FE_OFFSET
    FE_00041  = 10041 + __FE_OFFSET
    FE_00045  = 10045 + __FE_OFFSET
    FE_00046  = 10046 + __FE_OFFSET
    FE_00047  = 10047 + __FE_OFFSET
    FE_00048  = 10048 + __FE_OFFSET
    FE_00049  = 10049 + __FE_OFFSET
    FE_00050  = 10050 + __FE_OFFSET
    FE_00070  = 10070 + __FE_OFFSET
    FE_00071  = 10071 + __FE_OFFSET
    FE_00072  = 10072 + __FE_OFFSET
    FE_00073  = 10073 + __FE_OFFSET
    FE_00074  = 10074 + __FE_OFFSET
    FE_00075  = 10075 + __FE_OFFSET
    FE_00076  = 10076 + __FE_OFFSET
    FE_00077  = 10077 + __FE_OFFSET
    FE_00078  = 10078 + __FE_OFFSET
    FE_00083  = 10083 + __FE_OFFSET
    FE_00084  = 10084 + __FE_OFFSET
    FE_00085  = 10085 + __FE_OFFSET
    FE_00086  = 10086 + __FE_OFFSET
    FE_00087  = 10087 + __FE_OFFSET
    FE_00088  = 10088 + __FE_OFFSET
    FE_00089  = 10089 + __FE_OFFSET
    FE_00090  = 10090 + __FE_OFFSET
    FE_00091  = 10091 + __FE_OFFSET
    FE_00101  = 10101 + __FE_OFFSET
    FE_00102  = 10102 + __FE_OFFSET
    FE_00103  = 10103 + __FE_OFFSET
    FE_00104  = 10104 + __FE_OFFSET
    FE_00105  = 10105 + __FE_OFFSET
    FE_00106  = 10106 + __FE_OFFSET
    FE_00107  = 10107 + __FE_OFFSET
    FE_00108  = 10108 + __FE_OFFSET
    FE_00109  = 10109 + __FE_OFFSET
    FE_00110  = 10110 + __FE_OFFSET
    FE_00111  = 10111 + __FE_OFFSET
    FE_00112  = 10112 + __FE_OFFSET
    FE_00113  = 10113 + __FE_OFFSET
    FE_00114  = 10114 + __FE_OFFSET
    FE_00115  = 10115 + __FE_OFFSET
    FE_00117  = 10117 + __FE_OFFSET
    FE_00118  = 10118 + __FE_OFFSET
    FE_00119  = 10119 + __FE_OFFSET
    FE_00120  = 10120 + __FE_OFFSET
    FE_00121  = 10121 + __FE_OFFSET
    FE_00122  = 10122 + __FE_OFFSET
    FE_00123  = 10123 + __FE_OFFSET
    FE_00124  = 10124 + __FE_OFFSET
    FE_00125  = 10125 + __FE_OFFSET
    FE_00126  = 10126 + __FE_OFFSET
    FE_00127  = 10127 + __FE_OFFSET
    FE_00128  = 10128 + __FE_OFFSET
    FE_00129  = 10129 + __FE_OFFSET
    FE_00130  = 10130 + __FE_OFFSET
    FE_00131  = 10131 + __FE_OFFSET
    FE_00132  = 10132 + __FE_OFFSET
    FE_00133  = 10133 + __FE_OFFSET
    FE_00134  = 10134 + __FE_OFFSET
    FE_00135  = 10135 + __FE_OFFSET
    FE_00136  = 10136 + __FE_OFFSET
    FE_00137  = 10137 + __FE_OFFSET
    FE_00138  = 10138 + __FE_OFFSET
    FE_00139  = 10139 + __FE_OFFSET
    FE_00140  = 10140 + __FE_OFFSET
    FE_00199  = 10199 + __FE_OFFSET
    FE_00200  = 10200 + __FE_OFFSET
    FE_00203  = 10203 + __FE_OFFSET
    FE_00204  = 10204 + __FE_OFFSET
    FE_00205  = 10205 + __FE_OFFSET
    FE_00206  = 10206 + __FE_OFFSET
    FE_00207  = 10207 + __FE_OFFSET
    FE_00208  = 10208 + __FE_OFFSET
    FE_00209  = 10209 + __FE_OFFSET
    FE_00210  = 10210 + __FE_OFFSET
    FE_00211  = 10211 + __FE_OFFSET
    FE_00212  = 10212 + __FE_OFFSET
    FE_00213  = 10213 + __FE_OFFSET
    FE_00214  = 10214 + __FE_OFFSET
    FE_00215  = 10215 + __FE_OFFSET
    FE_00216  = 10216 + __FE_OFFSET
    FE_00217  = 10217 + __FE_OFFSET
    FE_00218  = 10218 + __FE_OFFSET
    FE_00219  = 10219 + __FE_OFFSET
    FE_00220  = 10220 + __FE_OFFSET
    FE_00221  = 10221 + __FE_OFFSET
    FE_00222  = 10222 + __FE_OFFSET
    FE_00223  = 10223 + __FE_OFFSET
    FE_00224  = 10224 + __FE_OFFSET
    FE_00289  = 10289 + __FE_OFFSET
    FE_00290  = 10290 + __FE_OFFSET
    FE_00291  = 10291 + __FE_OFFSET
    FE_00292  = 10292 + __FE_OFFSET
    FE_00293  = 10293 + __FE_OFFSET
    FE_00294  = 10294 + __FE_OFFSET
    FE_00295  = 10295 + __FE_OFFSET
    FE_00296  = 10296 + __FE_OFFSET
    FE_00297  = 10297 + __FE_OFFSET
    FE_00298  = 10298 + __FE_OFFSET
    FE_00299  = 10299 + __FE_OFFSET
    FE_00300  = 10300 + __FE_OFFSET
    FE_00301  = 10301 + __FE_OFFSET
    FE_00302  = 10302 + __FE_OFFSET
    FE_00303  = 10303 + __FE_OFFSET
    FE_00304  = 10304 + __FE_OFFSET
    FE_00305  = 10305 + __FE_OFFSET
    FE_00306  = 10306 + __FE_OFFSET
    FE_00307  = 10307 + __FE_OFFSET
    FE_00308  = 10308 + __FE_OFFSET
    FE_00309  = 10309 + __FE_OFFSET
    FE_00310  = 10310 + __FE_OFFSET
    FE_00311  = 10311 + __FE_OFFSET
    FE_00312  = 10312 + __FE_OFFSET
    FE_00313  = 10313 + __FE_OFFSET
    FE_00314  = 10314 + __FE_OFFSET
    FE_00315  = 10315 + __FE_OFFSET
    FE_00316  = 10316 + __FE_OFFSET
    FE_00317  = 10317 + __FE_OFFSET
    FE_00318  = 10318 + __FE_OFFSET
    FE_00319  = 10319 + __FE_OFFSET
    FE_00320  = 10320 + __FE_OFFSET
    FE_00321  = 10321 + __FE_OFFSET
    FE_00322  = 10322 + __FE_OFFSET
    FE_00323  = 10323 + __FE_OFFSET
    FE_00324  = 10324 + __FE_OFFSET
    FE_00325  = 10325 + __FE_OFFSET
    FE_00328  = 10328 + __FE_OFFSET
    FE_00329  = 10329 + __FE_OFFSET
    FE_00330  = 10330 + __FE_OFFSET
    FE_00331  = 10331 + __FE_OFFSET
    FE_00332  = 10332 + __FE_OFFSET
    FE_00333  = 10333 + __FE_OFFSET
    FE_00334  = 10334 + __FE_OFFSET
    FE_00335  = 10335 + __FE_OFFSET
    FE_00336  = 10336 + __FE_OFFSET
    FE_00337  = 10337 + __FE_OFFSET
    FE_00338  = 10338 + __FE_OFFSET
    FE_00339  = 10339 + __FE_OFFSET
    FE_00340  = 10340 + __FE_OFFSET
    FE_00341  = 10341 + __FE_OFFSET
    FE_00342  = 10342 + __FE_OFFSET
    FE_00343  = 10343 + __FE_OFFSET
    FE_00344  = 10344 + __FE_OFFSET
    FE_00345  = 10345 + __FE_OFFSET
    FE_00346  = 10346 + __FE_OFFSET
    FE_00347  = 10347 + __FE_OFFSET
    FE_00348  = 10348 + __FE_OFFSET
    FE_00349  = 10349 + __FE_OFFSET
    FE_00350  = 10350 + __FE_OFFSET
    FE_00351  = 10351 + __FE_OFFSET
    FE_00352  = 10352 + __FE_OFFSET
    FE_00353  = 10353 + __FE_OFFSET
    FE_00354  = 10354 + __FE_OFFSET
    FE_00355  = 10355 + __FE_OFFSET
    FE_00356  = 10356 + __FE_OFFSET
    FE_00357  = 10357 + __FE_OFFSET
    FE_00358  = 10358 + __FE_OFFSET
    FE_00368  = 10368 + __FE_OFFSET
    FE_00369  = 10369 + __FE_OFFSET
    FE_00375  = 10375 + __FE_OFFSET
    FE_00376  = 10376 + __FE_OFFSET
    FE_00416  = 10416 + __FE_OFFSET
    FE_00417  = 10417 + __FE_OFFSET
    FE_00418  = 10418 + __FE_OFFSET
    FE_00419  = 10419 + __FE_OFFSET
    FE_00420  = 10420 + __FE_OFFSET
    FE_00421  = 10421 + __FE_OFFSET
    FE_00422  = 10422 + __FE_OFFSET
    FE_00423  = 10423 + __FE_OFFSET
    FE_00424  = 10424 + __FE_OFFSET
    FE_00425  = 10425 + __FE_OFFSET
    FE_00426  = 10426 + __FE_OFFSET
    FE_00427  = 10427 + __FE_OFFSET
    FE_00428  = 10428 + __FE_OFFSET
    FE_00429  = 10429 + __FE_OFFSET
    FE_00430  = 10430 + __FE_OFFSET
    FE_00431  = 10431 + __FE_OFFSET
    FE_00432  = 10432 + __FE_OFFSET
    FE_00433  = 10433 + __FE_OFFSET
    FE_00434  = 10434 + __FE_OFFSET
    FE_00435  = 10435 + __FE_OFFSET
    FE_00436  = 10436 + __FE_OFFSET
    FE_00437  = 10437 + __FE_OFFSET
    FE_00438  = 10438 + __FE_OFFSET
    FE_00454  = 10454 + __FE_OFFSET
    FE_00455  = 10455 + __FE_OFFSET
    FE_00462  = 10462 + __FE_OFFSET
    FE_00562  = 10562 + __FE_OFFSET
    FE_00563  = 10563 + __FE_OFFSET
    FE_00564  = 10564 + __FE_OFFSET
    FE_00565  = 10565 + __FE_OFFSET
    FE_00566  = 10566 + __FE_OFFSET
    FE_00567  = 10567 + __FE_OFFSET
    FE_00568  = 10568 + __FE_OFFSET
    FE_00569  = 10569 + __FE_OFFSET
    FE_00570  = 10570 + __FE_OFFSET
    FE_00571  = 10571 + __FE_OFFSET
    FE_00588  = 10588 + __FE_OFFSET
    FE_00589  = 10589 + __FE_OFFSET
    FE_00590  = 10590 + __FE_OFFSET
    FE_00591  = 10591 + __FE_OFFSET
    FE_00592  = 10592 + __FE_OFFSET
    FE_00632  = 10632 + __FE_OFFSET
    FE_00633  = 10633 + __FE_OFFSET
    FE_00634  = 10634 + __FE_OFFSET
    FE_00645  = 10645 + __FE_OFFSET
    FE_00689  = 10689 + __FE_OFFSET
    FE_00708  = 10708 + __FE_OFFSET
    FE_00709  = 10709 + __FE_OFFSET
    FE_00715  = 10715 + __FE_OFFSET
    FE_00716  = 10716 + __FE_OFFSET
    FE_00820  = 10820 + __FE_OFFSET
    FE_00821  = 10821 + __FE_OFFSET
    FE_00826  = 10826 + __FE_OFFSET
    FE_00827  = 10827 + __FE_OFFSET
    FE_00828  = 10828 + __FE_OFFSET
    FE_00829  = 10829 + __FE_OFFSET
    FE_00887  = 10887 + __FE_OFFSET
    FE_00889  = 10889 + __FE_OFFSET
    FE_00898  = 10898 + __FE_OFFSET
    FE_00899  = 10899 + __FE_OFFSET
    FE_00900  = 10900 + __FE_OFFSET
    FE_00901  = 10901 + __FE_OFFSET
    FE_00902  = 10902 + __FE_OFFSET
    FE_00903  = 10903 + __FE_OFFSET
    FE_00904  = 10904 + __FE_OFFSET
    FE_00920  = 10920 + __FE_OFFSET
    FE_00921  = 10921 + __FE_OFFSET
    FE_00922  = 10922 + __FE_OFFSET
    FE_00923  = 10923 + __FE_OFFSET
    FE_00924  = 10924 + __FE_OFFSET
    FE_00925  = 10925 + __FE_OFFSET
    FE_00926  = 10926 + __FE_OFFSET
    FE_00928  = 10928 + __FE_OFFSET
    FE_00929  = 10929 + __FE_OFFSET

    UE_00001  = 20001
    UE_00002  = 20002
    UE_00003  = 20003
    UE_00004  = 20004
    UE_00005  = 20005
    UE_00006  = 20006
    UE_00007  = 20007
    UE_00008  = 20008
    UE_00009  = 20009
    UE_00010  = 20010
    UE_00011  = 20011
    UE_00012  = 20012
    UE_00013  = 20013
    UE_00014  = 20014
    UE_00015  = 20015
    UE_00016  = 20016
    UE_00017  = 20017
    UE_00018  = 20018
    UE_00019  = 20019
    UE_00020  = 20020
    UE_00021  = 20021
    UE_00022  = 20022
    UE_00023  = 20023
    UE_00024  = 20024
    UE_00025  = 20025
    UE_00026  = 20026
    UE_00027  = 20027
    UE_00028  = 20028
    UE_00029  = 20029
    UE_00030  = 20030
    UE_00031  = 20031
    UE_00032  = 20032
    UE_00033  = 20033
    UE_00034  = 20034
    UE_00036  = 20036
    UE_00037  = 20037
    UE_00038  = 20038
    UE_00039  = 20039
    UE_00040  = 20040
    UE_00041  = 20041
    UE_00042  = 20042
    UE_00043  = 20043
    UE_00044  = 20044
    UE_00045  = 20045
    UE_00046  = 20046
    UE_00047  = 20047
    UE_00048  = 20048
    UE_00049  = 20049
    UE_00050  = 20050
    UE_00051  = 20051
    UE_00052  = 20052
    UE_00053  = 20053
    UE_00054  = 20054
    UE_00055  = 20055
    UE_00056  = 20056
    UE_00057  = 20057
    UE_00058  = 20058
    UE_00059  = 20059
    UE_00060  = 20060
    UE_00061  = 20061
    UE_00067  = 20067
    UE_00071  = 20071
    UE_00072  = 20072
    UE_00073  = 20073
    UE_00088  = 20088
    UE_00092  = 20092
    UE_00095  = 20095
    UE_00096  = 20096
    UE_00098  = 20098
    UE_00103  = 20103
    UE_00104  = 20104
    UE_00111  = 20111
    UE_00112  = 20112
    UE_00113  = 20113
    UE_00114  = 20114
    UE_00115  = 20115
    UE_00116  = 20116
    UE_00117  = 20117
    UE_00118  = 20118
    UE_00119  = 20119
    UE_00120  = 20120
    UE_00123  = 20123
    UE_00124  = 20124
    UE_00125  = 20125
    UE_00126  = 20126
    UE_00127  = 20127
    UE_00128  = 20128
    UE_00129  = 20129
    UE_00130  = 20130
    UE_00131  = 20131
    UE_00132  = 20132
    UE_00133  = 20133
    UE_00134  = 20134
    UE_00135  = 20135
    UE_00136  = 20136
    UE_00137  = 20137
    UE_00138  = 20138
    UE_00139  = 20139
    UE_00145  = 20145
    UE_00147  = 20147
    UE_00148  = 20148
    UE_00149  = 20149
    UE_00150  = 20150
    UE_00151  = 20151
    UE_00152  = 20152
    UE_00153  = 20153
    UE_00154  = 20154
    UE_00155  = 20155
    UE_00156  = 20156
    UE_00157  = 20157
    UE_00158  = 20158
    UE_00160  = 20160
    UE_00161  = 20161
    UE_00162  = 20162
    UE_00163  = 20163
    UE_00164  = 20164
    UE_00165  = 20165
    UE_00166  = 20166
    UE_00167  = 20167
    UE_00168  = 20168
    UE_00169  = 20169
    UE_00170  = 20170
    UE_00171  = 20171
    UE_00172  = 20172
    UE_00173  = 20173
    UE_00174  = 20174
    UE_00175  = 20175
    UE_00176  = 20176
    UE_00177  = 20177
    UE_00178  = 20178
    UE_00179  = 20179
    UE_00180  = 20180
    UE_00181  = 20181
    UE_00182  = 20182
    UE_00183  = 20183
    UE_00184  = 20184
    UE_00185  = 20185
    UE_00186  = 20186
    UE_00187  = 20187
    UE_00188  = 20188
    UE_00189  = 20189
    UE_00190  = 20190
    UE_00191  = 20191
    UE_00192  = 20192
    UE_00193  = 20193
    UE_00194  = 20194
    UE_00195  = 20195
    UE_00196  = 20196
    UE_00197  = 20197
    UE_00198  = 20198
    UE_00199  = 20199
    UE_00200  = 20200
    UE_00201  = 20201
    UE_00202  = 20202
    UE_00203  = 20203
    UE_00204  = 20204
    UE_00205  = 20205
    UE_00206  = 20206
    UE_00207  = 20207
    UE_00208  = 20208

    @property
    def toStr(self):
        return '0x{0:04X}'.format(self.value)

    @property
    def toInt(self):
        return self.__netValue

    @property
    def toSInt(self):
        return -1*self.__netValue

    @property
    def __isFatal(self):
        return _EFwErrorCode.__FE_OFFSET < self.value

    @property
    def __netValue(self):
        return self.value - _EFwErrorCode.__FE_OFFSET if self.__isFatal else self.value
