# #!/usr/bin/env python
# -*- coding: utf-8 -*-
# ------------------------------------------------------------------------------
# File   : fwtextid.py
#
# Copyright(c) 2023-2025 Farzad Safa (farzad.safa@xcofdk.de)
# This software is distributed under the MIT License (http://opensource.org/licenses/MIT).
# ------------------------------------------------------------------------------

from enum import auto
from enum import Enum
from enum import unique

@unique
class _EFwTextID(Enum):
    eInvalidText = 0

    eMisc_Id                                    = auto()   
    eMisc_TE                                    = auto()
    eMisc_FTE                                   = auto()
    eMisc_Main                                  = auto()
    eMisc_Name                                  = auto()
    eMisc_Task                                  = auto()
    eMisc_User                                  = auto()
    eMisc_Sync                                  = auto()
    eMisc_Async                                 = auto()
    eMisc_Fatal                                 = auto()
    eMisc_Value                                 = auto()
    eMisc_Thread                                = auto()
    eMisc_XTask                                 = auto()
    eMisc_Detached                              = auto()
    eMisc_Runnable                              = auto()
    eMisc_ImplError                             = auto()
    eMisc_EnclPyThread                          = auto()
    eMisc_ThreadTarget                          = auto()
    eMisc_TaskNamePrefix_Task                   = auto()
    eMisc_TaskNamePrefix_XTask                  = auto()
    eMisc_TaskNamePrefix_Thread                 = auto()
    eMisc_TaskNamePrefix_XThread                = auto()
    eMisc_TaskNamePrefix_Runnable               = auto()
    eMisc_TaskNamePrefix_XRunnable              = auto()
    eMisc_TaskNamePrefix_XTaskTask              = auto()
    eMisc_LcResultFailed                        = auto()
    eMisc_LcResultSuccess                       = auto()
    eMisc_VLogIF_VanillaLogPrefix               = auto()
    eMisc_VLogIF_AutoGeneratedUserError         = auto()
    eMisc_VLogIF_AutoGeneratedFatalError        = auto()
    eMisc_XML_RUNNER_XCP_MSG_DuplicateWriter    = auto()
    eMisc_CallbackFunctionName_OnTimeoutExpired = auto()
    eMisc_LogLevel_Info                         = auto()
    eMisc_PyParserArgAction_Store               = auto()
    eMisc_PyParserArgAction_StoreTrue           = auto()
    eMisc_PyParserArgAction_StoreFalse          = auto()
    eMisc_PyModuleName_DateTime                 = auto()
    eMisc_TaskType_Sync                         = auto()
    eMisc_TaskType_Async                        = auto()
    eMisc_QueueType_Internal                    = auto()
    eMisc_QueueType_External                    = auto()

    eMisc_LogPrefix_ExecCounter                 = auto()
    eMisc_LogPrefix_Task                        = auto()
    eMisc_LogPrefix_Thread                      = auto()
    eMisc_LogPrefix_Runnable                    = auto()

    eMisc_Shared_FmtStr_001                     = auto()
    eMisc_Shared_FmtStr_002                     = auto()
    eMisc_Shared_FmtStr_003                     = auto()
    eMisc_Shared_FmtStr_004                     = auto()
    eMisc_Shared_FmtStr_005                     = auto()
    eMisc_Shared_FmtStr_006                     = auto()
    eMisc_Shared_FmtStr_007                     = auto()
    eMisc_Shared_FmtStr_008                     = auto()
    eMisc_Shared_FmtStr_009                     = auto()
    eMisc_Shared_FmtStr_010                     = auto()
    eMisc_Shared_FmtStr_011                     = auto()
    eMisc_Shared_FmtStr_012                     = auto()
    eMisc_Shared_FmtStr_013                     = auto()
    eMisc_Shared_FmtStr_014                     = auto()
    eMisc_Shared_FmtStr_015                     = auto()
    eMisc_Shared_FmtStr_016                     = auto()
    eMisc_Shared_FmtStr_017                     = auto()
    eMisc_Shared_FmtStr_018                     = auto()
    eMisc_Shared_FmtStr_019                     = auto()
    eMisc_Shared_FmtStr_020                     = auto()
    eMisc_Shared_FmtStr_021                     = auto()
    eMisc_Shared_FmtStr_022                     = auto()
    eMisc_Shared_FmtStr_023                     = auto()
    eMisc_Shared_FmtStr_024                     = auto()
    eMisc_Shared_FmtStr_025                     = auto()
    eMisc_Shared_FmtStr_026                     = auto()
    eMisc_Shared_FmtStr_027                     = auto()
    eMisc_Shared_NewlineTab                     = auto()
    eMisc_Shared_ApiGuide_ApiMask               = auto()
    eMisc_Shared_ApiGuide_ExcludedApiMask       = auto()
    eMisc_Shared_Builtin_FuncName_Call          = auto()
    eMisc_Shared_Name_Xco                       = auto()
    eMisc_Shared_Name_Comp                      = auto()
    eMisc_Shared_Name_Main                      = auto()
    eMisc_Shared_Name_MainXco                   = auto()
    eMisc_Shared_Logging_001                    = auto()
    eMisc_Shared_Logging_002                    = auto()
    eMisc_Shared_Logging_003                    = auto()

    eFwConfig_FwCoreRelPath                     = auto()
    eFwConfig_FwCfgDirRelPath                   = auto()

    ePreDefinedMethod_EuRNumber                     = auto()
    ePreDefinedMethod_TaskError                     = auto()
    ePreDefinedMethod_TaskBadge                     = auto()
    ePreDefinedMethod_IsXcoBaseException            = auto()
    ePreDefinedMethod_CleanedUp                     = auto()
    ePreDefinedMethod_IsEqual                       = auto()
    ePreDefinedMethod_CleanUp                       = auto()
    ePreDefinedMethod_ToString                      = auto()
    ePreDefinedMethod_CleanUpByOwnerRequest         = auto()

    eELogLevel_Fatal                            = auto()
    eELogLevel_Error                            = auto()
    eELogLevel_Warning                          = auto()
    eELogLevel_KPI                              = auto()
    eELogLevel_Info                             = auto()
    eELogLevel_Debug                            = auto()
    eELogLevel_Trace                            = auto()

    eELogType_TRC                               = auto()
    eELogType_DBG                               = auto()
    eELogType_INF                               = auto()
    eELogType_KPI                               = auto()
    eELogType_WNG                               = auto()
    eELogType_ERR                               = auto()
    eELogType_ERR_NOT_SUPPORTED_YET             = auto()
    eELogType_FTL                               = auto()
    eELogType_FTL_BAD_USE                       = auto()
    eELogType_FTL_IMPL_ERR                      = auto()
    eELogType_FTL_NOT_IMPLEMENTED_YET           = auto()
    eELogType_FTL_SYS_OP_ERR                    = auto()
    eELogType_FTL_SYS_OP_XCP                    = auto()
    eELogType_FTL_NESTED_ERR                    = auto()

    eELcCompID_LcMgr                            = auto()
    eELcCompID_TMgr                             = auto()
    eELcCompID_FwComp                           = auto()
    eELcCompID_XTask                            = auto()
    eELcCompID_MiscComp                         = auto()
    eELcCompID_LcDMgr                           = auto()
    eELcCompID_LcPxy                            = auto()
    eELcCompID_FwMain                           = auto()
    eELcCompID_FwDspr                           = auto()
    eELcCompID_TmrMgr                           = auto()
    eELcCompID_MainXTask                        = auto()
    eELcCompID_FwRbl                            = auto()
    eELcCompID_UserRbl                          = auto()
    eELcCompID_UTRbl                            = auto()
    eELcCompID_FwThrd                           = auto()

    eLcStateImpl_ELcStateTransReq_LcFailed          = auto()
    eLcStateImpl_ELcStateTransReq_LcStarted         = auto()
    eLcStateImpl_ELcStateTransReq_LcStopped         = auto()
    eLcStateImpl_ELcStateTransReq_TMgrFailed        = auto()
    eLcStateImpl_ELcStateTransReq_TMgrStarted       = auto()
    eLcStateImpl_ELcStateTransReq_TMgrStopped       = auto()
    eLcStateImpl_ELcStateTransReq_FwCompFailed      = auto()
    eLcStateImpl_ELcStateTransReq_FwCompStarted     = auto()
    eLcStateImpl_ELcStateTransReq_FwCompStopped     = auto()
    eLcStateImpl_ELcStateTransReq_XTaskFailed       = auto()
    eLcStateImpl_ELcStateTransReq_XTaskStarted      = auto()
    eLcStateImpl_ELcStateTransReq_XTaskStopped      = auto()
    eLcStateImpl_ELcStateTransReq_MiscCompFailed    = auto()
    eLcStateImpl_ELcStateTransReq_MiscCompStarted   = auto()
    eLcStateImpl_ELcStateTransReq_MiscCompStopped   = auto()
    eLcStateImpl_FrcList_ToString_001               = auto()
    eLcStateImpl_FrcList_ToString_002               = auto()

    eEXTaskApiID_RunXTask                     = auto()
    eEXTaskApiID_SetUpXTask                   = auto()
    eEXTaskApiID_TearDownXTask                = auto()
    eEXTaskApiID_ProcessInternalMessage       = auto()
    eEXTaskApiID_ProcessExternalMessage       = auto()

    eFwApiBase_StartPreamble                    = auto()
    eFwApiBase_StartPreamble_Python_Version     = auto()

    eLogException_TypeName_Fatal            = auto()
    eLogException_TypeName_BadUse           = auto()
    eLogException_TypeName_ImplError        = auto()
    eLogException_TypeName_NotImplemented   = auto()
    eLogException_TypeName_SystemOpERR      = auto()
    eLogException_TypeName_SystemOpXCP      = auto()
    eLogException_TypeName_NestedError      = auto()

    eAbstractProfile_AttrName_ATTR_KEY_ARGS                         = auto()
    eAbstractProfile_AttrName_ATTR_KEY_AUTO_START_ENCLOSED_PYTHREAD = auto()
    eAbstractProfile_AttrName_ATTR_KEY_ENCLOSED_PYTHREAD            = auto()
    eAbstractProfile_AttrName_ATTR_KEY_KWARGS                       = auto()
    eAbstractProfile_AttrName_ATTR_KEY_TASK_NAME                    = auto()
    eAbstractProfile_AttrName_ATTR_KEY_TASK_RIGHTS                  = auto()
    eAbstractProfile_AttrName_ATTR_KEY_TASK_ID                      = auto()

    eTaskBadge_ToString_01                                          = auto()

    eTaskProfile_AttrName_ATTR_KEY_DELAYED_START_TIME_SPAN          = auto()
    eTaskProfile_AttrName_ATTR_KEY_EXTERNAL_QUEUE_SIZE              = auto()
    eTaskProfile_AttrName_ATTR_KEY_ON_SIZE_BLOCKING_XQUEUE          = auto()
    eTaskProfile_AttrName_ATTR_KEY_RESOURCES_MASK                   = auto()
    eTaskProfile_AttrName_ATTR_KEY_RUNNABLE                         = auto()
    eTaskProfile_AttrName_ATTR_KEY_TIMER                            = auto()
    eTaskProfile_AttrName_ATTR_KEY_TIMER_PROFILE                    = auto()
    eTaskProfile_AttrName_ATTR_KEY_EXT_QUEUE                        = auto()
    eTaskProfile_AttrName_ATTR_KEY_INT_QUEUE                        = auto()
    eTaskProfile_AttrName_ATTR_KEY_TIMER_RESOURCE                   = auto()
    eTaskProfile_ToString_01                                        = auto()
    eTaskProfile_ToString_02                                        = auto()
    eTaskProfile_ToString_03                                        = auto()
    eTaskProfile_ToString_04                                        = auto()

    eThreadProfile_AttrName_ATTR_KEY_XTASK_CONN                     = auto()
    eThreadProfile_AttrName_ATTR_KEY_THREAD_TARGET                  = auto()
    eThreadProfile_ToString_01                                      = auto()
    eThreadProfile_ToString_02                                      = auto()
    eThreadProfile_ToString_03                                      = auto()
    eThreadProfile_ToString_04                                      = auto()



    eLoggingEnvConfig_EnvVarName_DieMode    = auto()
    eLoggingEnvConfig_EnvVarName_XcpMode    = auto()
    eLoggingEnvConfig_EnvVarName_LogLevel   = auto()

    eAbstractRunnableFWC_AliasName_FwMain   = auto()
    eAbstractRunnableFWC_AliasName_FwDspr   = auto()

    eXTaskProfileBase_ToString_01         = auto()
    eXTaskProfileBase_ToString_02         = auto()
    eXTaskProfileBase_ToString_03         = auto()
    eXTaskProfileBase_ToString_05         = auto()
    eXTaskProfileBase_ToString_06         = auto()
    eXTaskProfileBase_ToString_07         = auto()
    eXTaskProfileBase_ToString_08         = auto()
    eXTaskProfileBase_ToString_09         = auto()
    eXTaskProfileBase_ToString_10         = auto()
    eXTaskProfileBase_ToString_11         = auto()
    eXTaskProfileBase_ToString_12         = auto()
    eXTaskProfileBase_ToString_13         = auto()
    eXTaskProfileBase_ToString_14         = auto()

    eXTaskProfileExt_ToString_01          = auto()


    eLcConfig_ToString                      = auto()

    eLcManager_MsgPrefix                    = auto()
    eLcManager_ToString                     = auto()

    eELcExecutionStateHistory_ToString_01   = auto()
    eELcExecutionStateHistory_ToString_02   = auto()
    eELcExecutionStateHistory_ToString_03   = auto()

    eLcFailure_ToString_01                  = auto()
    eLcFailure_ToString_02                  = auto()
    eLcFailure_ToString_03                  = auto()
    eLcFailure_PrintLcResult_FmtStr_02      = auto()

    eLcDepManager_ToString_01               = auto()

    eLcProxyImpl_ToString_01                = auto()

    eLcFrcView_ToString_01                  = auto()

    eEuErrorBin_ToString_01                 = auto()
    eEuErrorBin_ToString_02                 = auto()
    eEuErrorBin_ToString_03                 = auto()
    eEuErrorBin_ToString_04                 = auto()
    eEuErrorBin_ToString_05                 = auto()
    eEuErrorBin_ToString_06                 = auto()
    eEuErrorBin_ToString_07                 = auto()

    eTimeUtil_GetTimeStamp_FmrStr_01        = auto()
    eTimeUtil_GetTimeStamp_FmrStr_02        = auto()
    eTimeUtil_GetTimeStamp_FmrStr_03        = auto()
    eTimeUtil_GetTimeStamp_FmrStr_04        = auto()
    eTimeParts_ToString_01                  = auto()
    eTimeParts_ToString_02                  = auto()
    eStopWatch_ToString_01                  = auto()
    eStopWatch_ToString_02                  = auto()
    eKpiLogBook_ToString_01                 = auto()

    eLogIFImpl_ToString_01                  = auto()
    eLogIFImpl_AddLog_FmtStr_01             = auto()
    eLogIFImpl_AddLog_FmtStr_02             = auto()
    eLogIFImpl_PrintSummary_FmtStr_01       = auto()
    eLogIFImpl_PrintSummary_FmtStr_02       = auto()
    eLogIFImpl_PrintSummary_FmtStr_03       = auto()
    eLogIFImpl_PrintSummary_FmtStr_04       = auto()
    eLogIFImpl_PrintSummary_FmtStr_05       = auto()
    eLogIFImpl_PrintSummary_FmtStr_06       = auto()
    eLogIFImpl_PrintSummary_FmtStr_07       = auto()
    eLogIFImpl_PrintSummary_FmtStr_08       = auto()
    eLogIFImpl_PrintSummary_FmtStr_09       = auto()
    eLogIFImpl_PrintSummary_FmtStr_10       = auto()
    eLogIFImpl_PrintSummary_FmtStr_11       = auto()
    eLogIFImpl_CheckLogRequest_Msg_01       = auto()
    eLogIFImpl_CheckLogRequest_Msg_02       = auto()
    eLogIFImpl_CheckLogRequest_Msg_03       = auto()
    eLogIFImpl_ActiveTimeKPI                = auto()

    eVLogIF_PrintSummary_FmtStr_01          = auto()
    eVLogIF_PrintSummary_FmtStr_02          = auto()
    eVLogIF_PrintSummary_FmtStr_03          = auto()
    eVLogIF_PrintSummary_FmtStr_04          = auto()
    eVLogIF_PrintSummary_FmtStr_05          = auto()
    eVLogIF_PrintSummary_FmtStr_06          = auto()
    eVLogIF_PrintException_FmtStr_01        = auto()
    eVLogIF_VPrint_FmtStr_01                = auto()
    eVLogIF_VPrint_FmtStr_03                = auto()
    eVLogIF_VPrint_FmtStr_04                = auto()
    eVLogIF_SetVSystemExitStatus            = auto()
    eVLogIF_ClearLogHistory                 = auto()

    eCallableIF_ToString_01                 = auto()



    eMutex_ToString_01                      = auto()

    eSemaphoreBase_ToString_01              = auto()
    eSemaphoreBase_ToString_02              = auto()
    eSemaphoreBase_ToString_03              = auto()

    eXcoException_XcoBaseException_ToString_01    = auto()
    eXcoException_XTaskExceptionBase_ToString_01  = auto()

    eLogEntry_ToString_01                                           = auto()
    eLogEntry_ToString_02                                           = auto()
    eLogEntry_ToString_03                                           = auto()

    eLcStateImpl_ToString_01                                        = auto()
    eLcStateImpl_ToString_02                                        = auto()
    eLcStateImpl_ToString_03                                        = auto()
    eLcStateImpl_ToString_04                                        = auto()
    eLcStateImpl_UpdateLcState_PreCheckSetRequest_FmtStr_01         = auto()

    eXTaskConnector_EXUExecState_ToString_01                      = auto()  
    eXTaskConnector_EXUExecState_ToString_02                      = auto()  
    eXTaskConnector_EXUExecState_ToString_03                      = auto()  
    eXTaskConnector_EXUExecState_ToString_04                      = auto()  
    eXTaskConnector_EXUExecState_ToString_05                      = auto()  
    eXTaskConnector_EXUExecState_ToString_06                      = auto()  
    eXTaskConnector_EXUExecState_ToString_07                      = auto()  
    eXTaskConnector_XTaskMirror_ToString_01                       = auto()
    eXTaskConnector_LogPrefix                                     = auto()
    eXTaskConnector_LogPrefix_StateUpdate                         = auto()

    eEuErrorHandler_ToString_01                                     = auto()
    eEuErrorHandler_ToString_02                                     = auto()

    eTaskError_MsgPrefix                                            = auto()

    eXTaskErrorBase_ToString_01                                   = auto()
    eXTaskErrorBase_ToString_02                                   = auto()

    eFwMessage_ToString_01                                          = auto()

    eMessageHeader_ToString_01                                      = auto()

    eMessageFilter_ToString_01                                      = auto()


    eMessageCluster_ToString_01                                     = auto()

    eXcoMsgHeader_ToString_01                                       = auto()

    eXcoMsgImpl_ToString_01                                         = auto()

    eSerDes_ToString_02                                             = auto()
    eSerDes_ToString_03                                             = auto()
    eSerDes_ToString_04                                             = auto()

    eCallableSignature_ToString_01                                  = auto()

    eXProcessConnector_ToString_01                                  = auto()

    eXMPUtilImpl_ToString_01                                        = auto()

    eLogMsg_Shared_TextID_001           = auto()
    eLogMsg_Shared_TextID_002           = auto()
    eLogMsg_Shared_TextID_003           = auto()
    eLogMsg_Shared_TextID_004           = auto()


    eLogMsg_FwThread_TextID_001         = auto()
    eLogMsg_FwThread_TextID_002         = auto()


    eLogMsg_TaskError_TextID_001        = auto()

    eLogMsg_TaskManager_TextID_001      = auto()
    eLogMsg_TaskManager_TextID_002      = auto()
    eLogMsg_TaskManager_TextID_003      = auto()
    eLogMsg_TaskManager_TextID_004      = auto()
    eLogMsg_TaskManager_TextID_005      = auto()
    eLogMsg_TaskManager_TextID_006      = auto()
    eLogMsg_TaskManager_TextID_007      = auto()
    eLogMsg_TaskManager_TextID_008      = auto()
    eLogMsg_TaskManager_TextID_009      = auto()
    eLogMsg_TaskManager_TextID_010      = auto()
    eLogMsg_TaskManager_TextID_011      = auto()
    eLogMsg_TaskManager_TextID_012      = auto()
    eLogMsg_TaskManager_TextID_013      = auto()
    eLogMsg_TaskManager_TextID_014      = auto()
    eLogMsg_TaskManager_TextID_015      = auto()

    eLogMsg_TaskProfile_TextID_011      = auto()

    eLogMsg_ThreadProfile_TextID_004    = auto()
    eLogMsg_ThreadProfile_TextID_008    = auto()

    eLogMsg_FwApiBase_TextID_001        = auto()
    eLogMsg_FwApiBase_TextID_004        = auto()
    eLogMsg_FwApiBase_TextID_014        = auto()
    eLogMsg_FwApiBase_TextID_016        = auto()

    eLogMsg_XTaskBase_TextID_001      = auto()
    eLogMsg_XTaskBase_TextID_002      = auto()
    eLogMsg_XTaskBase_TextID_003      = auto()
    eLogMsg_XTaskBase_TextID_004      = auto()
    eLogMsg_XTaskBase_TextID_005      = auto()
    eLogMsg_XTaskBase_TextID_006      = auto()
    eLogMsg_XTaskBase_TextID_007      = auto()
    eLogMsg_XTaskBase_TextID_008      = auto()
    eLogMsg_XTaskBase_TextID_009      = auto()
    eLogMsg_XTaskBase_TextID_010      = auto()
    eLogMsg_XTaskBase_TextID_011      = auto()
    eLogMsg_XTaskBase_TextID_012      = auto()
    eLogMsg_XTaskBase_TextID_013      = auto()
    eLogMsg_XTaskBase_TextID_014      = auto()
    eLogMsg_XTaskBase_TextID_015      = auto()
    eLogMsg_XTaskBase_TextID_016      = auto()
    eLogMsg_XTaskBase_TextID_017      = auto()
    eLogMsg_XTaskBase_TextID_018      = auto()
    eLogMsg_XTaskBase_TextID_021      = auto()
    eLogMsg_XTaskBase_TextID_022      = auto()
    eLogMsg_XTaskBase_TextID_023      = auto()
    eLogMsg_XTaskBase_TextID_024      = auto()
    eLogMsg_XTaskBase_TextID_025      = auto()
    eLogMsg_XTaskBase_TextID_026      = auto()
    eLogMsg_XTaskBase_TextID_027      = auto()
    eLogMsg_XTaskBase_TextID_028      = auto()

    eLogMsg_XTaskConnector_TextID_001 = auto()
    eLogMsg_XTaskConnector_TextID_002 = auto()
    eLogMsg_XTaskConnector_TextID_003 = auto()
    eLogMsg_XTaskConnector_TextID_004 = auto()
    eLogMsg_XTaskConnector_TextID_007 = auto()
    eLogMsg_XTaskConnector_TextID_008 = auto()
    eLogMsg_XTaskConnector_TextID_009 = auto()
    eLogMsg_XTaskConnector_TextID_012 = auto()
    eLogMsg_XTaskConnector_TextID_016 = auto()
    eLogMsg_XTaskConnector_TextID_018 = auto()
    eLogMsg_XTaskConnector_TextID_019 = auto()
    eLogMsg_XTaskConnector_TextID_021 = auto()
    eLogMsg_XTaskConnector_TextID_022 = auto()
    eLogMsg_XTaskConnector_TextID_023 = auto()
    eLogMsg_XTaskConnector_TextID_024 = auto()
    eLogMsg_XTaskConnector_TextID_029 = auto()
    eLogMsg_XTaskConnector_TextID_030 = auto()
    eLogMsg_XTaskConnector_TextID_031 = auto()
    eLogMsg_XTaskConnector_TextID_032 = auto()
    eLogMsg_XTaskConnector_TextID_033 = auto()

    eLogMsg_XTaskProfileBase_TextID_002   = auto()
    eLogMsg_XTaskProfileBase_TextID_003   = auto()
    eLogMsg_XTaskProfileBase_TextID_004   = auto()
    eLogMsg_XTaskProfileBase_TextID_005   = auto()
    eLogMsg_XTaskProfileBase_TextID_006   = auto()
    eLogMsg_XTaskProfileBase_TextID_007   = auto()
    eLogMsg_XTaskProfileBase_TextID_009   = auto()
    eLogMsg_XTaskProfileBase_TextID_011   = auto()
    eLogMsg_XTaskProfileBase_TextID_012   = auto()

    eLogMsg_XTaskProfileExt_TextID_001    = auto()
    eLogMsg_XTaskProfileExt_TextID_002    = auto()
    eLogMsg_XTaskProfileExt_TextID_003    = auto()


    eLogMsg_FSUtil_TextID_001               = auto()
    eLogMsg_FSUtil_TextID_002               = auto()

    eLogMsg_Timeout_TextID_001              = auto()
    eLogMsg_Timeout_TextID_002              = auto()
    eLogMsg_Timeout_TextID_003              = auto()
    eLogMsg_Timeout_TextID_004              = auto()
    eLogMsg_Timeout_TextID_005              = auto()
    eLogMsg_Timeout_TextID_006              = auto()
    eLogMsg_Timeout_TextID_007              = auto()
    eLogMsg_Timeout_TextID_008              = auto()
    eLogMsg_Timeout_TextID_009              = auto()
    eLogMsg_Timeout_TextID_010              = auto()
    eLogMsg_Timeout_TextID_011              = auto()
    eLogMsg_Timeout_TextID_012              = auto()
    eLogMsg_Timeout_TextID_013              = auto()

    eLogMsg_StrUtil_TextID_001              = auto()
    eLogMsg_StrUtil_TextID_002              = auto()
    eLogMsg_StrUtil_TextID_003              = auto()
    eLogMsg_StrUtil_TextID_004              = auto()
    eLogMsg_StrUtil_TextID_005              = auto()
    eLogMsg_StrUtil_TextID_006              = auto()

    eLogMsg_Util_TextID_001                 = auto()
    eLogMsg_Util_TextID_002                 = auto()
    eLogMsg_Util_TextID_003                 = auto()
    eLogMsg_Util_TextID_004                 = auto()
    eLogMsg_Util_TextID_005                 = auto()
    eLogMsg_Util_TextID_006                 = auto()
    eLogMsg_Util_TextID_007                 = auto()
    eLogMsg_Util_TextID_008                 = auto()
    eLogMsg_Util_TextID_009                 = auto()
    eLogMsg_Util_TextID_010                 = auto()
    eLogMsg_Util_TextID_011                 = auto()
    eLogMsg_Util_TextID_012                 = auto()
    eLogMsg_Util_TextID_013                 = auto()
    eLogMsg_Util_TextID_014                 = auto()
    eLogMsg_Util_TextID_015                 = auto()


    eLogMsg_EuErrorHandler_TextID_001       = auto()

    eLogMsg_MainRunnable_TextID_001         = auto()
    eLogMsg_MainRunnable_TextID_002         = auto()
    eLogMsg_MainRunnable_TextID_003         = auto()
    eLogMsg_MainRunnable_TextID_005         = auto()
    eLogMsg_MainRunnable_TextID_006         = auto()
    eLogMsg_MainRunnable_TextID_007         = auto()

    eLogMsg_LcManager_TextID_001            = auto()
    eLogMsg_LcManager_TextID_002            = auto()
    eLogMsg_LcManager_TextID_003            = auto()
    eLogMsg_LcManager_TextID_004            = auto()
    eLogMsg_LcManager_TextID_010            = auto()
    eLogMsg_LcManager_TextID_011            = auto()
    eLogMsg_LcManager_TextID_012            = auto()
    eLogMsg_LcManager_TextID_013            = auto()
    eLogMsg_LcManager_TextID_014            = auto()
    eLogMsg_LcManager_TextID_017            = auto()
    eLogMsg_LcManager_TextID_018            = auto()
    eLogMsg_LcManager_TextID_019            = auto()
    eLogMsg_LcManager_TextID_020            = auto()
    eLogMsg_LcManager_TextID_021            = auto()
    eLogMsg_LcManager_TextID_022            = auto()
    eLogMsg_LcManager_TextID_023            = auto()
    eLogMsg_LcManager_TextID_024            = auto()
    eLogMsg_LcManager_TextID_034            = auto()
    eLogMsg_LcManager_TextID_035            = auto()
    eLogMsg_LcManager_TextID_036            = auto()
    eLogMsg_LcManager_TextID_038            = auto()
    eLogMsg_LcManager_TextID_039            = auto()
    eLogMsg_LcManager_TextID_040            = auto()
    eLogMsg_LcManager_TextID_041            = auto()
    eLogMsg_LcManager_TextID_043            = auto()
    eLogMsg_LcManager_TextID_045            = auto()
    eLogMsg_LcManager_TextID_046            = auto()
    eLogMsg_LcManager_TextID_047            = auto()

    eLogMsg_SSDeputyLogging_TextID_001      = auto()

    eLogMsg_LcExecutionStateHistory_TextID_001  = auto()
    eLogMsg_LcExecutionStateHistory_TextID_002  = auto()
    eLogMsg_LcExecutionStateHistory_TextID_003  = auto()
    eLogMsg_LcExecutionStateHistory_TextID_004  = auto()
    eLogMsg_LcExecutionStateHistory_TextID_005  = auto()

    eLogMsg_LcSetupFailure_TextID_001       = auto()
    eLogMsg_LcSetupFailure_TextID_002       = auto()
    eLogMsg_LcSetupFailure_TextID_003       = auto()

    eLogMsg_LcRuntimeFailure_TextID_001     = auto()

    eLogMsg_LcFailure_TextID_001            = auto()
    eLogMsg_LcFailure_TextID_003            = auto()
    eLogMsg_LcFailure_TextID_005            = auto()
    eLogMsg_LcFailure_TextID_006            = auto()
    eLogMsg_LcFailure_TextID_007            = auto()
    eLogMsg_LcFailure_TextID_008            = auto()
    eLogMsg_LcFailure_TextID_010            = auto()
    eLogMsg_LcFailure_TextID_011            = auto()
    eLogMsg_LcFailure_TextID_012            = auto()
    eLogMsg_LcFailure_TextID_013            = auto()
    eLogMsg_LcFailure_TextID_014            = auto()
    eLogMsg_LcFailure_TextID_015            = auto()

    eFwStartOptionsImpl_ArgSpec_Name_UserLogLevel               = auto()
    eFwStartOptionsImpl_ArgSpec_Name_UserDisableLogTimestamp    = auto()
    eFwStartOptionsImpl_ArgSpec_Name_UserDisableLogHighlighting = auto()
    eFwStartOptionsImpl_ArgSpec_Name_UserEnableLogCallstack     = auto()
    eFwStartOptionsImpl_ArgSpec_Name_SuppressStartPreamble      = auto()
    eFwStartOptionsImpl_ArgSpec_Name_FwCrashCookie              = auto()
    eFwStartOptionsImpl_ArgSpec_Help_UserLogLevel               = auto()
    eFwStartOptionsImpl_ArgSpec_Help_UserDisableLogTimestamp    = auto()
    eFwStartOptionsImpl_ArgSpec_Help_UserDisableLogHighlighting = auto()
    eFwStartOptionsImpl_ArgSpec_Help_UserEnableLogCallstack     = auto()
    eFwStartOptionsImpl_ArgSpec_Help_SuppressStartPreamble      = auto()
    eFwStartOptionsImpl_ArgSpec_Choices_UserLogLevel            = auto()
    eFwStartOptionsImpl_ParserProgName                          = auto()
    eLogMsg_FwStartOptionsImpl_TextID_092                       = auto()
    eLogMsg_FwStartOptionsImpl_TextID_093                       = auto()
    eLogMsg_FwStartOptionsImpl_TextID_094                       = auto()
    eLogMsg_FwStartOptionsImpl_TextID_096                       = auto()
    eLogMsg_FwStartOptionsImpl_TextID_097                       = auto()
    eLogMsg_FwStartOptionsImpl_TextID_098                       = auto()

    eLogMsg_LcDepManager_TextID_001         = auto()
    eLogMsg_LcDepManager_TextID_002         = auto()
    eLogMsg_LcDepManager_TextID_003         = auto()
    eLogMsg_LcDepManager_TextID_004         = auto()

    eLogMsg_LcProxyImpl_TextID_001          = auto()

    eLogMsg_XcoException_TextID_001         = auto()
    eLogMsg_XcoException_TextID_002         = auto()
    eLogMsg_XcoException_TextID_003         = auto()
    eLogMsg_XcoException_TextID_004         = auto()
    eLogMsg_XcoException_TextID_005         = auto()
    eLogMsg_XcoException_TextID_006         = auto()
    eLogMsg_XcoException_TextID_007         = auto()
    eLogMsg_XcoException_TextID_008         = auto()
    eLogMsg_XcoException_TextID_009         = auto()

    eLogMsg_LogException_TextID_001         = auto()
    eLogMsg_LogException_TextID_002         = auto()
    eLogMsg_LogException_TextID_003         = auto()
    eLogMsg_LogException_TextID_004         = auto()
    eLogMsg_LogException_TextID_005         = auto()
    eLogMsg_LogException_TextID_006         = auto()
    eLogMsg_LogException_TextID_007         = auto()
    eLogMsg_LogException_TextID_008         = auto()

    eLogMsg_LcGuardImpl_TextID_001          = auto()
    eLogMsg_LcGuardImpl_TextID_002          = auto()
    eLogMsg_LcGuardImpl_TextID_003          = auto()

    eLogMsg_LcStateImpl_TextID_001          = auto()
    eLogMsg_LcStateImpl_TextID_002          = auto()
    eLogMsg_LcStateImpl_TextID_004          = auto()
    eLogMsg_LcStateImpl_TextID_005          = auto()
    eLogMsg_LcStateImpl_TextID_006          = auto()
    eLogMsg_LcStateImpl_TextID_007          = auto()
    eLogMsg_LcStateImpl_TextID_008          = auto()
    eLogMsg_LcStateImpl_TextID_009          = auto()
    eLogMsg_LcStateImpl_TextID_010          = auto()
    eLogMsg_LcStateImpl_TextID_011          = auto()
    eLogMsg_LcStateImpl_TextID_012          = auto()
    eLogMsg_LcStateImpl_TextID_013          = auto()
    eLogMsg_LcStateImpl_TextID_014          = auto()



    eLogMsg_Mutex_TextID_001                = auto()

    eLogMsg_SemaphoreBase_TextID_001        = auto()
    eLogMsg_SemaphoreBase_TextID_002        = auto()

    eLogMsg_LcMonitorImpl_TextID_001        = auto()
    eLogMsg_LcMonitorImpl_TextID_002        = auto()
    eLogMsg_LcMonitorImpl_TextID_003        = auto()
    eLogMsg_LcMonitorImpl_TextID_004        = auto()

    eLogMsg_FwMessage_TextID_002            = auto()

    eLogMsg_FwQueue_TextID_001              = auto()
    eLogMsg_FwQueue_TextID_002              = auto()
    eLogMsg_FwQueue_TextID_003              = auto()
    eLogMsg_FwQueue_TextID_004              = auto()
    eLogMsg_FwQueue_TextID_005              = auto()
    eLogMsg_FwQueue_TextID_006              = auto()

    eLogMsg_XcoMsgMgrImpl_TextID_013        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_014        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_015        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_016        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_017        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_018        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_019        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_020        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_021        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_022        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_023        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_024        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_025        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_026        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_027        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_028        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_029        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_030        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_031        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_032        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_033        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_034        = auto()
    eLogMsg_XcoMsgMgrImpl_TextID_035        = auto()

    eLogMsg_SubsysMsgUtil_TextID_001        = auto()
    eLogMsg_SubsysMsgUtil_TextID_002        = auto()
    eLogMsg_SubsysMsgUtil_TextID_003        = auto()
    eLogMsg_SubsysMsgUtil_TextID_004        = auto()

    eLogMsg_MessageClusterMap_TextID_001    = auto()
    eLogMsg_MessageClusterMap_TextID_002    = auto()
    eLogMsg_MessageClusterMap_TextID_003    = auto()
    eLogMsg_MessageClusterMap_TextID_004    = auto()
    eLogMsg_MessageClusterMap_TextID_005    = auto()


    eLogMsg_DispatchFilter_TextID_001        = auto()
    eLogMsg_DispatchFilter_TextID_002        = auto()
    eLogMsg_DispatchFilter_TextID_003        = auto()
    eLogMsg_DispatchFilter_TextID_004        = auto()
    eLogMsg_DispatchFilter_TextID_005        = auto()
    eLogMsg_DispatchFilter_TextID_006        = auto()
    eLogMsg_DispatchFilter_TextID_007        = auto()


    eLogMsg_MessageHeader_TextID_001        = auto()
    eLogMsg_MessageHeader_TextID_002        = auto()
    eLogMsg_MessageHeader_TextID_003        = auto()
    eLogMsg_MessageHeader_TextID_004        = auto()
    eLogMsg_MessageHeader_TextID_005        = auto()
    eLogMsg_MessageHeader_TextID_006        = auto()
    eLogMsg_MessageHeader_TextID_007        = auto()
    eLogMsg_MessageHeader_TextID_008        = auto()
    eLogMsg_MessageHeader_TextID_009        = auto()
    eLogMsg_MessageHeader_TextID_010        = auto()
    eLogMsg_MessageHeader_TextID_011        = auto()
    eLogMsg_MessageHeader_TextID_012        = auto()

    eLogMsg_SerDes_TextID_001                = auto()
    eLogMsg_SerDes_TextID_002                = auto()
    eLogMsg_SerDes_TextID_003                = auto()
    eLogMsg_SerDes_TextID_004                = auto()
    eLogMsg_SerDes_TextID_005                = auto()
    eLogMsg_SerDes_TextID_006                = auto()
    eLogMsg_SerDes_TextID_007                = auto()
    eLogMsg_SerDes_TextID_008                = auto()
    eLogMsg_SerDes_TextID_009                = auto()
    eLogMsg_SerDes_TextID_010                = auto()
    eLogMsg_SerDes_TextID_011                = auto()

    eLogMsg_FwDispatcher_TextID_001          = auto()
    eLogMsg_FwDispatcher_TextID_002          = auto()
    eLogMsg_FwDispatcher_TextID_003          = auto()
    eLogMsg_FwDispatcher_TextID_004          = auto()
    eLogMsg_FwDispatcher_TextID_005          = auto()
    eLogMsg_FwDispatcher_TextID_007          = auto()
    eLogMsg_FwDispatcher_TextID_008          = auto()
    eLogMsg_FwDispatcher_TextID_009          = auto()
    eLogMsg_FwDispatcher_TextID_010          = auto()
    eLogMsg_FwDispatcher_TextID_011          = auto()
    eLogMsg_FwDispatcher_TextID_012          = auto()
    eLogMsg_FwDispatcher_TextID_013          = auto()

    eLogMsg_AbstractRunnable_TextID_001      = auto()
    eLogMsg_AbstractRunnable_TextID_002      = auto()
    eLogMsg_AbstractRunnable_TextID_003      = auto()
    eLogMsg_AbstractRunnable_TextID_004      = auto()
    eLogMsg_AbstractRunnable_TextID_006      = auto()

    eLogMsg_CallableIF_TextID_004            = auto()
    eLogMsg_CallableIF_TextID_008            = auto()

    eLogMsg_CallableSignature_TextID_001     = auto()
    eLogMsg_CallableSignature_TextID_002     = auto()
    eLogMsg_CallableSignature_TextID_003     = auto()
    eLogMsg_CallableSignature_TextID_004     = auto()
    eLogMsg_CallableSignature_TextID_005     = auto()
    eLogMsg_CallableSignature_TextID_006     = auto()
    eLogMsg_CallableSignature_TextID_007     = auto()
    eLogMsg_CallableSignature_TextID_008     = auto()
    eLogMsg_CallableSignature_TextID_009     = auto()
    eLogMsg_CallableSignature_TextID_010     = auto()
    eLogMsg_CallableSignature_TextID_011     = auto()
    eLogMsg_CallableSignature_TextID_012     = auto()
    eLogMsg_CallableSignature_TextID_013     = auto()
    eLogMsg_CallableSignature_TextID_014     = auto()

    eLogMsg_Payload_TextID_001               = auto()
    eLogMsg_Payload_TextID_002               = auto()

    eLogMsg_XcoMsgImpl_TextID_001            = auto()

    eLogMsg_XProcessConnector_TextID_001     = auto()
    eLogMsg_XProcessConnector_TextID_002     = auto()
    eLogMsg_XProcessConnector_TextID_003     = auto()
    eLogMsg_XProcessConnector_TextID_004     = auto()
    eLogMsg_XProcessConnector_TextID_006     = auto()
    eLogMsg_XProcessConnector_TextID_007     = auto()
    eLogMsg_XProcessConnector_TextID_008     = auto()
    eLogMsg_XProcessConnector_TextID_010     = auto()

    eLogMsg_MPStartPolicy_TextID_001         = auto()
    eLogMsg_MPStartPolicy_TextID_007         = auto()
    eLogMsg_MPStartPolicy_TextID_008         = auto()
    eLogMsg_MPStartPolicy_TextID_009         = auto()
    eLogMsg_MPStartPolicy_TextID_015         = auto()

    eLogMsg_XMPUtilImpl_TextID_001           = auto()
    eLogMsg_XMPUtilImpl_TextID_002           = auto()

    @property
    def compactName(self):
        return self.name[1:]
